#include<iostream>
using namespace std;
int main(){
    long long A,B,K;
    cin>>A>>B>>K;
    long long brskoks=0,i;
    for(i=A;i<B;i++){
        if((i+2)%K!=0){
            i++;
        }
        brskoks++;
    }
    cout<<brskoks<<endl;
    return 0;
}
